device_type: x86

job_name: x86_64 health check

timeouts:
  job:
    minutes: 20
  action:
    minutes: 5
  connection:
    minutes: 5

visibility: public
priority: medium

actions:
- deploy:
    timeout:
      minutes: 8
    to: tftp
    kernel:
      url: file:///var/lib/lava/dispatcher/tmp/bzImage
    ramdisk:
      url: file:///var/lib/lava/dispatcher/tmp/initramfs.cpio.gz
      compression: gz
    os: oe

- boot:
    timeout:
      minutes: 4
    method: grub-efi
    auto_login: {login_prompt: 'login:', username: root}
    commands: ramdisk
    prompts:
    - "root@intel-corei7-64:"


- test:
    timeout:
      minutes: 20
    definitions:
    - repository: file:///srv/tftp/lava-functional-tests
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
